GNU bug report logs - #35858
Null pointer error when partitioning with the graphical installer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Vivien Kraus <vivien@HIDDEN>; merged with #36402; dated Wed, 22 May 2019 18:56:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 35858 36402. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 31 May 2019 18:00:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 31 14:00:18 2019
Received: from localhost ([127.0.0.1]:36136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWlpB-0005Oz-Mi
	for submit <at> debbugs.gnu.org; Fri, 31 May 2019 14:00:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hWlpA-0005Oe-3v
 for 35858 <at> debbugs.gnu.org; Fri, 31 May 2019 14:00:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50052)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hWlp3-0002js-SL; Fri, 31 May 2019 14:00:09 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53216 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hWlp2-0004G6-Rj; Fri, 31 May 2019 14:00:09 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN> <87tvddty2l.fsf@HIDDEN>
 <1559299971.2338.3.camel@HIDDEN>
 <20190531133921.1464279c@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 12 Prairial an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 31 May 2019 20:00:07 +0200
In-Reply-To: <20190531133921.1464279c@HIDDEN> (Julien Lepiller's
 message of "Fri, 31 May 2019 13:39:21 +0200")
Message-ID: <87lfymqzbs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35858
Cc: 35858 <at> debbugs.gnu.org, Mathieu Othacehe <m.othacehe@HIDDEN>,
 Vivien Kraus <vivien@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Julien Lepiller <julien@HIDDEN> skribis:

> Le Fri, 31 May 2019 12:52:51 +0200,
> Vivien Kraus <vivien@HIDDEN> a =C3=A9crit :

[...]

>> I have 2 partitions: /dev/sda1 is the 512MB ESP partition, and
>> /dev/sda2 is the fully encrypted disk (named 'guix-root').  Except for
>> the keyboard configuration, UUIDs and default user, I have kept the
>> default 'desktop' configuration.scm.
>>=20
>> There is no disk activity, no fan activity and it does not respond to
>> C-M-Fn, but it does reboot on C-M-DEL.
>
> Have you tried to press 'Enter'?

Also, could you email your configuration file?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 31 May 2019 11:40:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 31 07:40:00 2019
Received: from localhost ([127.0.0.1]:34948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWftA-0007h1-GC
	for submit <at> debbugs.gnu.org; Fri, 31 May 2019 07:40:00 -0400
Received: from lepiller.eu ([89.234.186.109]:33600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1hWft7-0007gq-Sh
 for 35858 <at> debbugs.gnu.org; Fri, 31 May 2019 07:39:59 -0400
Received: from sybil.lepiller.eu (89-92-10-229.hfc.dyn.abo.bbox.fr
 [89.92.10.229]) by lepiller.eu (OpenSMTPD) with ESMTPSA id 815c1beb
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 31 May 2019 11:39:52 +0000 (UTC)
Date: Fri, 31 May 2019 13:39:21 +0200
From: Julien Lepiller <julien@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
Message-ID: <20190531133921.1464279c@HIDDEN>
In-Reply-To: <1559299971.2338.3.camel@HIDDEN>
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN>
 <87tvddty2l.fsf@HIDDEN> <1559299971.2338.3.camel@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35858
Cc: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>,
 Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le Fri, 31 May 2019 12:52:51 +0200,
Vivien Kraus <vivien@HIDDEN> a =C3=A9crit :

> Hello,
>=20
> I have installed with the manual method, it worked, I rebooted but my
> luck ends here: after entering my decryption key twice (the first time
> with a keyboard configured as US, the second with my azerty
> configuration, is this normal?  Whatever I can add a new luks key with
> the US keyboard), I get a boot screen reading:

Keyboard layouts are managed separately for grub, the console and X.
See
https://www.gnu.org/software/guix/manual/fr/html_node/Disposition-du-clavie=
r.html#index-disposition-clavier

>=20
> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for
> main thread
> GC Warning: Couldn't read /proc/stat
> Welcome, this is GNU's early boot Guile.
> Use '--repl' for an initrd REPL.
>=20
> loading kernel modules...
> Enter passphrase for /dev/sda2:
> ext2fs_check_if_mount: Can't check if filesystem is mounted due to
> missing mtab file while determining whether /dev/dm-0 is mounted.
> guix-root: clean, 181099/91545600 files, 7013116/366152801 blocks
> loading '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system/boot'...
> making '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system' the
> current system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc
> from /gnu/store/qm_brk2hzpvzqsr3g62m3krbz9j4zh2i-etc... error in
> finalization thread: Success CP437: Invalid argument
> [   17.016506] udevd[245]: no sender credentials received, message
> ignored
> nscd: 249 monitoring file `/etc/hosts` (1)
> nscd: 249 monitoring directory `/etc` (2)
> nscd: 249 monitoring file `/etc/resolv.conf` (3)
> nscd: 249 monitoring directory `/etc` (2)
> nscd: 249 monitoring file `/etc/services` (4)
> nscd: 249 monitoring directory `/etc` (2)
> [   19.155923] Error: Driver 'pcspkr' is already registered,
> aborting...
>=20
>=20
>=20
> The success error and pcspkr are also printed when running the
> installer.
>=20
> I have 2 partitions: /dev/sda1 is the 512MB ESP partition, and
> /dev/sda2 is the fully encrypted disk (named 'guix-root').  Except for
> the keyboard configuration, UUIDs and default user, I have kept the
> default 'desktop' configuration.scm.
>=20
> There is no disk activity, no fan activity and it does not respond to
> C-M-Fn, but it does reboot on C-M-DEL.

Have you tried to press 'Enter'?

>=20
> And if I re-run the graphical installer, I still get the null pointer
> dereference.
>=20
>=20
> So I will revert to having guix on top of another distro for now.
>=20
>=20
>=20
> Best regards,
>=20
> Vivien
>=20
>=20
>=20





Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 31 May 2019 10:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 31 06:53:00 2019
Received: from localhost ([127.0.0.1]:34881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWf9g-0003Y5-Iu
	for submit <at> debbugs.gnu.org; Fri, 31 May 2019 06:53:00 -0400
Received: from planete-kraus.eu ([89.234.140.182]:36692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1hWf9e-0003Xm-LX
 for 35858 <at> debbugs.gnu.org; Fri, 31 May 2019 06:52:59 -0400
Received: from [2a00:5881:4008:2810:74c6:bdc1:8c55:1679]
 by planete-kraus.eu with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivien@HIDDEN>)
 id 1hWf9Z-0005sL-0w; Fri, 31 May 2019 11:52:53 +0100
Message-ID: <1559299971.2338.3.camel@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
From: Vivien Kraus <vivien@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Fri, 31 May 2019 12:52:51 +0200
In-Reply-To: <87tvddty2l.fsf@HIDDEN>
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN> <87tvddty2l.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.22.6-1+deb9u1 
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35858
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

I have installed with the manual method, it worked, I rebooted but my
luck ends here: after entering my decryption key twice (the first time
with a keyboard configured as US, the second with my azerty
configuration, is this normal?  Whatever I can add a new luks key with
the US keyboard), I get a boot screen reading:

GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main
thread
GC Warning: Couldn't read /proc/stat
Welcome, this is GNU's early boot Guile.
Use '--repl' for an initrd REPL.

loading kernel modules...
Enter passphrase for /dev/sda2:
ext2fs_check_if_mount: Can't check if filesystem is mounted due to
missing mtab file while determining whether /dev/dm-0 is mounted.
guix-root: clean, 181099/91545600 files, 7013116/366152801 blocks
loading '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system/boot'...
making '/gnu/store/vxpwkiw1dp8m4xpjnzvmfq5bsnzccf61-system' the current
system...
setting up setuid programs in '/run/setuid-programs'...
populating /etc from /gnu/store/qm_brk2hzpvzqsr3g62m3krbz9j4zh2i-etc...
error in finalization thread: Success
CP437: Invalid argument
[   17.016506] udevd[245]: no sender credentials received, message
ignored
nscd: 249 monitoring file `/etc/hosts` (1)
nscd: 249 monitoring directory `/etc` (2)
nscd: 249 monitoring file `/etc/resolv.conf` (3)
nscd: 249 monitoring directory `/etc` (2)
nscd: 249 monitoring file `/etc/services` (4)
nscd: 249 monitoring directory `/etc` (2)
[   19.155923] Error: Driver 'pcspkr' is already registered,
aborting...



The success error and pcspkr are also printed when running the
installer.

I have 2 partitions: /dev/sda1 is the 512MB ESP partition, and
/dev/sda2 is the fully encrypted disk (named 'guix-root').  Except for
the keyboard configuration, UUIDs and default user, I have kept the
default 'desktop' configuration.scm.

There is no disk activity, no fan activity and it does not respond to
C-M-Fn, but it does reboot on C-M-DEL.

And if I re-run the graphical installer, I still get the null pointer
dereference.


So I will revert to having guix on top of another distro for now.



Best regards,

Vivien




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 29 May 2019 16:31:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 12:31:26 2019
Received: from localhost ([127.0.0.1]:59699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hW1U6-0001YU-0P
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 12:31:26 -0400
Received: from planete-kraus.eu ([89.234.140.182]:36682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1hW1U4-0001YI-0v
 for 35858 <at> debbugs.gnu.org; Wed, 29 May 2019 12:31:24 -0400
Received: from [2a00:5881:4008:2810:504d:269c:f58:2f32]
 by planete-kraus.eu with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivien@HIDDEN>)
 id 1hW1Ty-0007bA-9H; Wed, 29 May 2019 17:31:18 +0100
Message-ID: <1559147475.2757.29.camel@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
From: Vivien Kraus <vivien@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Wed, 29 May 2019 18:31:15 +0200
In-Reply-To: <87tvddty2l.fsf@HIDDEN>
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN> <87tvddty2l.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.22.6-1+deb9u1 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35858
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

I have issued 

dd if=/dev/zero of=/dev/sda 

for a couple of minutes, then create a new gpt partition table with
cfdisk (and write it) in the hope that I would be able to proceed with
the guided installer with a fresh partition table, but I still get the
null pointer dereference.  So i guess the ext2 partition is not
responsible for this one.

Yes, it's a x86_64 (intel i3).

Le mercredi 29 mai 2019 à 11:22 +0200, Ludovic Courtès a écrit :
> That’s terrible.  :-/  That’s on x86_64, right?

Vivien




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 29 May 2019 09:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 05:22:22 2019
Received: from localhost ([127.0.0.1]:58098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVums-0006Gm-56
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 05:22:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hVumq-0006GT-IG
 for 35858 <at> debbugs.gnu.org; Wed, 29 May 2019 05:22:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48303)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hVumk-0002ft-OW; Wed, 29 May 2019 05:22:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=38806 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hVumj-0005CF-Hq; Wed, 29 May 2019 05:22:13 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 10 Prairial an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 29 May 2019 11:22:10 +0200
In-Reply-To: <1559071852.4335.91.camel@HIDDEN> (Vivien Kraus's
 message of "Tue, 28 May 2019 21:30:52 +0200")
Message-ID: <87tvddty2l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35858
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Vivien,

Vivien Kraus <vivien@HIDDEN> skribis:

> Thank you for your answer.
>
>> Can you confirm that the backtrace you posted comes from 1.0.1 and
> not
>> 1.0.0?=C2=A0=C2=A0(It seems to be from 1.0.1 accordingly to the line num=
bers,
> but
>> better be on the safe side.)
>
> After backing up my data, I re-downloaded the guix image from the
> website, burnt it, and booted it.=C2=A0=C2=A0The boot screen reads
> "1.0.1-1.8204295".

Good.

> I also had an error during the loading with an error in finalization
> thread: Bad file descriptor (twice, reproducible) but no additional
> info, right after ssh-keygen.=C2=A0=C2=A0Is there a log file for that?=C2=
=A0=C2=A0I had
> very
> little time to catch it.

These are annoying but harmless.

> However, selecting the automatic method for whole disk encryption
> still gives the first error, and trying to add a partition manually
> gives the second.

That=E2=80=99s terrible.  :-/  That=E2=80=99s on x86_64, right?

(In the meantime you could the =E2=80=9Cmanual=E2=80=9D installation method:
<https://www.gnu.org/software/guix/manual/fr/html_node/Installation-manuell=
e.html>.)

As Mathieu notes, there=E2=80=99s one bug for which the fix is clear, but t=
he
null-pointer exception is pretty bad, especially if we cannot reproduce
it easily.

Let=E2=80=99s see what can be done=E2=80=A6

Thank you for testing thoroughly and for providing a detailed bug report!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 29 May 2019 07:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 29 03:35:34 2019
Received: from localhost ([127.0.0.1]:57998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVt7W-0001HC-HJ
	for submit <at> debbugs.gnu.org; Wed, 29 May 2019 03:35:34 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:36673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.othacehe@HIDDEN>) id 1hVt7U-0001Gz-QT
 for 35858 <at> debbugs.gnu.org; Wed, 29 May 2019 03:35:33 -0400
Received: by mail-wr1-f54.google.com with SMTP id s17so922847wru.3
 for <35858 <at> debbugs.gnu.org>; Wed, 29 May 2019 00:35:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=lxaManhGM+EwCf5Ey678AcUKDhQFpF3oy0UA5oK17l0=;
 b=r5VOHk4tWSRlyzwgsJMMl0J/WoQvqQvU04E05AqGbwjvrZcwVmPnNUeq5wT4RHOSOZ
 AivIkRQe4WjiNbtTL7XnWQWnKyyFItDfeneIsmZHRMeLe9uvqf1zApo42p2bXsPnAz2G
 rUd+Q+JxBcZykN79lBeb/oeOXbqRNudQEJWSpzaNL2460lW0shNCGrtzXtWJBRh4BxG+
 RgizKjKxEkc0i3ACSdZyoyAQUDoXaLutFWqQyohUPn+Z15h5H2pe2bsb83cO92elVzKJ
 Xp3z07qfwsldRGSu6TU6sHU4hpyWZZRO/W6Gp1ffMq6ZLNpv835/cRO6jQ1QYJ3eEJ+Q
 ixvA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=lxaManhGM+EwCf5Ey678AcUKDhQFpF3oy0UA5oK17l0=;
 b=Q2m2EtYQW3N003inkqOwKgO+ObWbv/eklIA9zaxCMggx+t3dkSr4YLnWLcNZn2PmOv
 ni7MPNI9GlQkvYKC2E0A0dD+wkvncsjjm6reT3y0WRuj4KZe973Z9TsSh4xqH9AK8xle
 i/SoJywuuKJ5ZyQL2L3DRoulDaqsBoSQSmmIxiM3A6fhc7+TTnFHtWwRQrTXFGn6+5/Y
 1Mz7pd7JjynjZPlxxXMowi3whGsS5ghd9YGNhtK8YPPEe5WNLJW3laNd/bf4M3T8NK6B
 +vEG1RaOTdJBwHQakAajTtIfkRFZnone9WCt4uVyjyXP/WWU+ODXaCQMlq3+62TZ3gyo
 bpuA==
X-Gm-Message-State: APjAAAW3ls51C3sVYTS6OxhbG2PT6WnJCgz0iIbX2TEiC+vYMYOPk1bb
 qt0y9YnDFJ4rtRkEH1cGkUBp71lM
X-Google-Smtp-Source: APXvYqw7asRG3aLN9KUkuEDwINzMXC4yiGszORErVFaGV95M1npG96O5duXkW5+P/olF8dQVBIth6w==
X-Received: by 2002:adf:db8e:: with SMTP id u14mr43234187wri.190.1559115326485; 
 Wed, 29 May 2019 00:35:26 -0700 (PDT)
Received: from fuji (smtp.parrot.biz. [62.23.167.188])
 by smtp.gmail.com with ESMTPSA id d11sm15805108wrv.72.2019.05.29.00.35.24
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 29 May 2019 00:35:25 -0700 (PDT)
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
 <1559071852.4335.91.camel@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Mathieu Othacehe <m.othacehe@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
In-reply-to: <1559071852.4335.91.camel@HIDDEN>
Date: Wed, 29 May 2019 09:35:24 +0200
Message-ID: <878supu30j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35858
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hello Vivien,

Thank you very much for the detailed report and sorry about all those
errors :(

> In unknown file:
>            0 (make-stack #t)
> ice-9/eval.scm:159:9: Unhandled ext2 fs-type

So this one is easy, it's yet another unsupported fs type. Maybe the fix
would be to get rid of libparted fs types -> <user-partition> fs types
conversions like discussed with Danny.

Otherwise, we'll have to maintain conversions for every kind of
partitions in user-fs-type-name, user-fs-type->mount-type and
partition-filesystem-user-type procedures.

> Then I go to create a single root partition (with the idea of
> re-installing guix with the default cryptsetup options once the ext2
> partition is forgotten), but then I get another "null pointer
> dereference" exception -- this one is longer :(
>
> In ice-9/boot-9.scm:
>     829:9 19 (catch _ _ #<procedure 2ebbf50 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 18 (catch _ _ #<procedure 2ebbf00 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 17 (catch _ _ #<procedure 186ba00 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
> In ./gnu/installer/steps.scm:
>    182:21 16 (_)
> In ./gnu/installer/newt/partition.scm:
>    763:40 15 (run-partitioning-page)
>    714:40 14 (run-disk-page _ _ #:guided? _)
>    429:10 13 (run-partition-page _ #:default-item _)
> In ./gnu/installer/newt/page.scm:
>    384:15 12 (run-listbox-selection-page #:info-text _ #:title _
> #:info-textbox-width _ #:listbox-items _ #:listbox-item->text _
> #:listbox-height _ #:listbox-default-item _ # _ # _
> #:allow-delete? ...)
> In ./gnu/installer/newt/partition.scm:
>    400:23 11 (button-action)
> In ./gnu/installer/parted.scm:
>    771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure
> 0x19c60c0>> _ #:previous-partition _)
> In parted/structs.scm:
>    552:19  9 (pointer->partition _)
>     132:3  8 (pointer->bytestructure _
> #<bytestructure-descriptor 0x3234740>)
> In unknown file:
>            7 (pointer->bytevector #<pointer 0x0> 88 #<undefined>

Not sure what happened here :(

Mathieu




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 28 May 2019 19:31:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 15:31:04 2019
Received: from localhost ([127.0.0.1]:57187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVhoO-00045c-7Q
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 15:31:04 -0400
Received: from planete-kraus.eu ([89.234.140.182]:36676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1hVhoK-000458-DG
 for 35858 <at> debbugs.gnu.org; Tue, 28 May 2019 15:31:02 -0400
Received: from [2a00:5881:4008:2810:5c78:b71c:6041:bc3c]
 by planete-kraus.eu with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivien@HIDDEN>)
 id 1hVhoF-0005gp-GJ; Tue, 28 May 2019 20:30:55 +0100
Message-ID: <1559071852.4335.91.camel@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
From: Vivien Kraus <vivien@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Tue, 28 May 2019 21:30:52 +0200
In-Reply-To: <87ftoyy68p.fsf@HIDDEN>
References: <87sgt61fu6.fsf@HIDDEN> <87ftoyy68p.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.22.6-1+deb9u1 
Mime-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 35858
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please pardon me for the duplicate)

Hello,

Thank you for your answer.

> Can you confirm that the backtrace you posted comes from 1.0.1 and
not
> 1.0.0?  (It seems to be from 1.0.1 accordingly to the line numbers,
but
> better be on the safe side.)

After backing up my data, I re-downloaded the guix image from the
website, burnt it, and booted it.  The boot screen reads
"1.0.1-1.8204295".

I also had an error during the loading with an error in finalization
thread: Bad file descriptor (twice, reproducible) but no additional
info, right after ssh-keygen.  Is there a log file for that?  I had
very
little time to catch it.

> Is it 100% reproducible for you?

Except for the bytestructures (but with the same loop at 863:17), I
reproduced it 4/4 times with a full reboot, and 4/4 times without a
full
reboot.

> Does the problem occur when you choose the “manual partitioning”
method
> instead of “guided partitioning”?

So I use the same language and such and select the manual partitioning:
I get to a screen with the 3 partitions already present on my 1.5T
disk:
 - 1 537MB fat32 boot,esp /boot/efi
 - 2 256MB ext2
 - 3 1500GB

If I select the second partition, I get another reproducible (2/2 with
full reboot) backtrace:

In .gnu/installer/steps.scm:
       189:6 19 (run-installer-steps #:steps _ #:rewind-strategy _ 
#:menu-proc _)
In ice-9/boot-9.scm:
    829:9 18 (catch srfi-34 #<procedure 3d78ac0 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 3cf40f0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 17 (catch srfi-34 #<procedure 3de9e40 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 3de4d70 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 16 (catch srfi-34 #<procedure 3de9c40 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 3de4d20 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 15 (catch srfi-34 #<procedure 3de9a40 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 3de4cd0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 14 (catch srfi-34 #<procedure 2ac0c00 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 29917d0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
In ./gnu/installer/steps.scm:
   182:21 13 (_)
In ./gnu/installer/newt/partition.scm:
   762:40 12 (run-partitioning-page)
   668:10 11 (run-disk-page (#<<disk> bytestructure:
#<bytestructure 0x29a8330>>) _ #:guided? _)
In ./gnu/installer/newt/page.scm:
   397:21 10 (run-listbox-selection-page #:info-text _ #:title _
#:info-textbox-width _ #:listbox-items _ #:listbox-item->text _
#:listbox-height _ #:listbox-default-item _ # _ # _
#:allow-delete? ...)
In ./gnu/installer/newt/partition.scm:
   640:20 9 (listbox-action _)
In ./gnu/installer/parted.scm:
   317:18 8 (partition->user-partition #<<partition>
bytestructure: #<bytestructure 0x2af5210>>)
In unknown file:
           7 (scm-error misc-error #f "~A" ("Unhandled ext2
fs-type\n") #f)
In ice-9/boot-9.scm:
   751:25  6 (dispatch-exception 5 misc-error (#f "~A"
("Unhandled ext2 fs-type\n") #f))
In ice-9/eval.scm:
    619:8  5 (_ #(#(#<directory (guile-user) 24b9140>
#<<installer> name: newt init: #<procedure init()> exit:
#<procedure exit()> exit-error: #<procedure exit-error (file
key args)> final-...>) ...))
    619:8  4 (_ #(#(#(#<directory (guile-user) 24b9140>
#<<installer> name: newt init: #<procedure init()> exit:
#<procedure exit ()> exit-error: #<procedure exit-error (file 
key args)> f...>) ...) #))
In ice-9/ports.scm:
   462:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 24b9140> misc-error
(#f "~A" ("Unhandled ext2 fs-type\n") #f)) #<output:
/tmp/last-installererror 12>))
    159:9 1 (_ #(#(#<directory (guile-user) 24b9140> misc-error
(#f "~A" ("Unhandled ext2 fs-type\n") #f)) #<output:
/tmp/last-installer-error 12>))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:159:9: Unhandled ext2 fs-type

I've managed to avoid the problem with a manual partitioning
procedure, selecting my hard drive, selecting "gpt" to get rid of the
existing ext2 partition.

Then I go to create a single root partition (with the idea of
re-installing guix with the default cryptsetup options once the ext2
partition is forgotten), but then I get another "null pointer
dereference" exception -- this one is longer :(

In ice-9/boot-9.scm:
    829:9 19 (catch _ _ #<procedure 2ebbf50 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 18 (catch _ _ #<procedure 2ebbf00 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 17 (catch _ _ #<procedure 186ba00 at
./gnu/installer/steps.scm:144:7 (key c)> _)
In ./gnu/installer/steps.scm:
   182:21 16 (_)
In ./gnu/installer/newt/partition.scm:
   763:40 15 (run-partitioning-page)
   714:40 14 (run-disk-page _ _ #:guided? _)
   429:10 13 (run-partition-page _ #:default-item _)
In ./gnu/installer/newt/page.scm:
   384:15 12 (run-listbox-selection-page #:info-text _ #:title _
#:info-textbox-width _ #:listbox-items _ #:listbox-item->text _
#:listbox-height _ #:listbox-default-item _ # _ # _
#:allow-delete? ...)
In ./gnu/installer/newt/partition.scm:
   400:23 11 (button-action)
In ./gnu/installer/parted.scm:
   771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure
0x19c60c0>> _ #:previous-partition _)
In parted/structs.scm:
   552:19  9 (pointer->partition _)
    132:3  8 (pointer->bytestructure _
#<bytestructure-descriptor 0x3234740>)
In unknown file:
           7 (pointer->bytevector #<pointer 0x0> 88 #<undefined>
#<undefined>)
In ice-9/boot-9.scm:
   751:25  6 (dispatch-exception 5 null-pointer-error
("pointer->bytevector" "null pointer dereference" () ()))
In ice-9/eval.scm:
    619:8  5 (_ #(#(#<directory (guile-user) 137c140>
#<<installer> name: newt init: #<procedure init ()> exit:
#<procedure exit ()> exit-error: #<procedure exit-error (file
key args> final-...>) ...))
    619:8  4 (_ #(#(#(#<directory (guile-user) 137c140>
#<<installer> name: newt init: #<procedure init ()> exit:
#<procedure exit ()> exit-error: #<procedure exit-error (file
key args)> f...>) ...) #))
In ice-9/ports.scm:
   462:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 137c140>
null-pointer-error ("pointer->bytevector" "null pointer
dereference" () ())) #<output: /tmp/last-installer-error 12>))
    159:9  1 (_ #(#(#<directory (guile-user) 137c140>
null-pointer-error ("pointer->bytevector" "null pointer
dereference" () ())) #<output: /tmp/last-installer-error 12>))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:159:9: In procedure pointer->bytevector: null
pointer dereference

I reboot and the partition table is erased (good thing I updated my
backups just before the operation ;) less so that I don't have an
operating system on my main computer and have to use this one :(

However, selecting the automatic method for whole disk encryption
still gives the first error, and trying to add a partition manually
gives the second.

>
> Could you post the output of “fdisk -l /dev/sda” (hit Ctrl-Alt-F3 and
> run that command)?

I wanted to give it before the GPT erasure but I thought I could save
it
to / on the Guix installer, and it did not work.  So I only have the
log
after the procedure:
Disk /dev/ram0: 64 MiB, 67108864 bytes, 131072 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes


(repeat exactly this for /dev/ram1 to /dev/ram15)

Disk /dev/sda: 1.4 TiB, 1500301910016, 2930277168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disklabel type: gpt
Disk identifier: D8D62D0Aè7272-425E-A46A-8FC7275FD65C


Disk /dev/sdb: 3.8 GiB, 4009754624 bytes, 7831552 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical / physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 30373931-3130-4130-B138-333934393436

Device       Start     End Sectors  Size Type
/dev/sdb1       64   43839   43776 21.4M Microsoft basic data
/dev/sdb2    43840   49599    5460  2.8M EFI System
/dev/sdb3    49600 2693755 2644156  1.3G Apple HFS/HFS+
/dev/sdb4  2693756 2694355     600  300K Microsoft basic data

And here is the error that came with it in red:

GPT PMBR size mismatch (2694403 != 7831551) will be corrected by write.
The backup GPT table is corrupt, but the primary appears OK, so that
will be used.
The backup GPT table is not on the end of the device. This problem will
be corrected by write.

I remember that a similar error happened when I had the previous GPT
table, but I don't remember the exact wording.  So maybe there is
still a backup of the GPT table that still has the ext2 partition?

Anyways, I have saved all my data and have a rainy-days computer at
hand, so the situation is not so bad.  




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at 35858 <at> debbugs.gnu.org:


Received: (at 35858) by debbugs.gnu.org; 28 May 2019 15:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 28 11:00:07 2019
Received: from localhost ([127.0.0.1]:56818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hVdaA-0002K0-In
	for submit <at> debbugs.gnu.org; Tue, 28 May 2019 11:00:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hVda6-0002It-5f
 for 35858 <at> debbugs.gnu.org; Tue, 28 May 2019 11:00:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60525)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hVda0-0000O9-E1; Tue, 28 May 2019 10:59:56 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=38524 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hVdZx-0003Sy-1N; Tue, 28 May 2019 10:59:54 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Vivien Kraus <vivien@HIDDEN>
Subject: Re: bug#35858: Null pointer error when partitioning with the
 graphical installer
References: <87sgt61fu6.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 9 Prairial an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 28 May 2019 16:59:50 +0200
In-Reply-To: <87sgt61fu6.fsf@HIDDEN> (Vivien Kraus's message of
 "Wed, 22 May 2019 20:53:05 +0200")
Message-ID: <87ftoyy68p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35858
Cc: Mathieu Othacehe <m.othacehe@HIDDEN>, 35858 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Vivien,

Vivien Kraus <vivien@HIDDEN> skribis:

> I'm trying to install guix on my system.  I have the 1.0.1 patch, but I
> had the same problem with 1.0.0.

We fixed a bug similar to what you describe in 1.0.1:

  https://issues.guix.gnu.org/issue/35783

Can you confirm that the backtrace you posted comes from 1.0.1 and not
1.0.0?  (It seems to be from 1.0.1 accordingly to the line numbers, but
better be on the safe side.)

> In ice-9/boot-9.scm:
>     829:9 19 (catch srfi-34 #<procedure 22744c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 2214550 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 18 (catch srfi-34 #<procedure 22742c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 2214500 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 17 (catch srfi-34 #<procedure 22740c0 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure 22144b0 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
>     829:9 16 (catch srfi-34 #<procedure 23a3280 at
> ./gnu/installer/steps.scm:144:7 ()> #<procedure c19fa0 at
> ./gnu/installer/steps.scm:144:7 (key c)> _)
> In ./gnu/installer/steps.scm:
>     182:21 15 (_)
> In ./gnu/installer/newt/partition.scm:
>     755:33 14 (run-partitioning-page)
> In ./gnu/installer/parted.scm:
>     1010:14 13 (auto-partition! #<<disk> bytestructure:
> #<bytestructure 0xbddb10>> #:scheme _)
>     870:21 12 (loop _ _ _)
>     863:17 11 (loop _ 1962582833 967694336)
>     771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure
> 0xbddb10>> _ #:previous-partition _)
> In parted/structs.scm:
>     552:19 9 (pointer->partition _)
>      132:3 8 (pointer->bytestructure #<pointer 0x0>
> #<bytestructure-descriptor 0x251d600>)
> In unknown file:
>            7 (pointer->bytevector #<pointer 0x0> 88 #<undefined>
> #<undefined>)
> In ice-9/boot-9.scm:
>    751:25  6 (dispatch-exception 5 null-pointer-error
> ("pointer->bytevector" "null pointer dereference" () ()))
> In ice-9/eval.scm:
>     619:8  5 (_ #(#(#<directory (guile-user) 68f140>
> #<<installer> name: newt init: #<procedure init()> exit:
> #<procedure exit ()> exit-error: #<procedure exit-error (file
> key args)> final-p...>) ...))
>     619:8  4 (_ #(#(#(#<directory (guile-user) 68f140>
> #<<installer> name: newt init: #<procedure init ()> exit:
> #<procedure exit ()> exit-error: #<procedure exit-error (file
> key args)> fi...>) ...) #))
> In ice-9/ports.scm:
>    462:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
> In ice-9/eval.scm:
>     619:8  2 (_ #(#(#<directory (guile-user) 68f140>
> null-pointer-error ("pointer->bytevector" "null pointer
> dereference" () ())) #<output: /tmp/last-installer-error 12>))
>     159:9  1 (_ #(#(#<directory (guile-user) 68f140>
> null-pointer-error ("pointer->bytevector" "null pointer
> dereference" () ())) #<output: /tmp/last-installer-error 12>))
> In unknown file:
>            0 (make-stack #t)
> ice-9/eval.scm:159:9: In procedure pointer->bytevector: null
> pointer dereference

Is it 100% reproducible for you?

Could you post the output of =E2=80=9Cfdisk -l /dev/sda=E2=80=9D (hit Ctrl-=
Alt-F3 and
run that command)?

Does the problem occur when you choose the =E2=80=9Cmanual partitioning=E2=
=80=9D method
instead of =E2=80=9Cguided partitioning=E2=80=9D?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 May 2019 18:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 14:55:23 2019
Received: from localhost ([127.0.0.1]:42947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hTWOY-0003rR-Oe
	for submit <at> debbugs.gnu.org; Wed, 22 May 2019 14:55:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vivien@HIDDEN>) id 1hTWOW-0003r9-Jx
 for submit <at> debbugs.gnu.org; Wed, 22 May 2019 14:55:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:59123)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vivien@HIDDEN>)
 id 1hTWON-0006QF-2p
 for submit <at> debbugs.gnu.org; Wed, 22 May 2019 14:55:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34796)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vivien@HIDDEN>) id 1hTWOI-00086f-Ck
 for bug-guix@HIDDEN; Wed, 22 May 2019 14:55:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vivien@HIDDEN>) id 1hTWMn-0005NQ-7U
 for bug-guix@HIDDEN; Wed, 22 May 2019 14:53:35 -0400
Received: from planete-kraus.eu ([89.234.140.182]:42466)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vivien@HIDDEN>)
 id 1hTWMl-0005ET-8R
 for bug-guix@HIDDEN; Wed, 22 May 2019 14:53:33 -0400
Received: from ananas.home ([2a01:cb14:180:800:2e27:d7ff:fe32:5880]
 helo=ananas)
 by planete-kraus.eu with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <vivien@HIDDEN>)
 id 1hTWMV-00022y-9b
 for bug-guix@HIDDEN; Wed, 22 May 2019 19:53:15 +0100
User-agent: mu4e 1.2.0; emacs 26.2
From: Vivien Kraus <vivien@HIDDEN>
To: bug-guix@HIDDEN
Subject: Null pointer error when partitioning with the graphical installer
Date: Wed, 22 May 2019 20:53:05 +0200
Message-ID: <87sgt61fu6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 89.234.140.182
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

Thank you for all the work you've put in the Guixsd release.  I have
used guix on top of a Debian distribution for some time, but with the
release I wanted to try and install it on its own.

I'm trying to install guix on my system.  I have the 1.0.1 patch, but I
had the same problem with 1.0.0.

I already have a debian system with an encrypted drive, and I would like
to erase it with an encrypted Guix system with a separate /home partition.

I have chosen my language (fran=C3=A7ais).

My location (France).

I have chosen the graphical installer.

I have chosen my timezone (Europe / Paris).

I have chosen my keyboard (Fran=C3=A7ais / Fran=C3=A7ais (sans touche morte=
 Sun):
this one seems to be correct but I don't have much information.  It
would be awesome if I could test it in a text box).

I have chosen the guided installation with encryption.

I have chosen my hard drive, the only option:
ATA WDC WD15EARS-60M (scsi) /dev/sda 1500 GB gpt

I have chosen the option to have a separate /home.

And then I get the exception.  I copy it from another keyboard, but I
hope that I copied it correctly.

In ice-9/boot-9.scm:
    829:9 19 (catch srfi-34 #<procedure 22744c0 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 2214550 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 18 (catch srfi-34 #<procedure 22742c0 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 2214500 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 17 (catch srfi-34 #<procedure 22740c0 at
./gnu/installer/steps.scm:144:7 ()> #<procedure 22144b0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
    829:9 16 (catch srfi-34 #<procedure 23a3280 at
./gnu/installer/steps.scm:144:7 ()> #<procedure c19fa0 at
./gnu/installer/steps.scm:144:7 (key c)> _)
In ./gnu/installer/steps.scm:
    182:21 15 (_)
In ./gnu/installer/newt/partition.scm:
    755:33 14 (run-partitioning-page)
In ./gnu/installer/parted.scm:
    1010:14 13 (auto-partition! #<<disk> bytestructure:
#<bytestructure 0xbddb10>> #:scheme _)
    870:21 12 (loop _ _ _)
    863:17 11 (loop _ 1962582833 967694336)
    771:25 10 (mkpart #<<disk> bytestructure: #<bytestructure
0xbddb10>> _ #:previous-partition _)
In parted/structs.scm:
    552:19 9 (pointer->partition _)
     132:3 8 (pointer->bytestructure #<pointer 0x0>
#<bytestructure-descriptor 0x251d600>)
In unknown file:
           7 (pointer->bytevector #<pointer 0x0> 88 #<undefined>
#<undefined>)
In ice-9/boot-9.scm:
   751:25  6 (dispatch-exception 5 null-pointer-error
("pointer->bytevector" "null pointer dereference" () ()))
In ice-9/eval.scm:
    619:8  5 (_ #(#(#<directory (guile-user) 68f140>
#<<installer> name: newt init: #<procedure init()> exit:
#<procedure exit ()> exit-error: #<procedure exit-error (file
key args)> final-p...>) ...))
    619:8  4 (_ #(#(#(#<directory (guile-user) 68f140>
#<<installer> name: newt init: #<procedure init ()> exit:
#<procedure exit ()> exit-error: #<procedure exit-error (file
key args)> fi...>) ...) #))
In ice-9/ports.scm:
   462:17  3 (call-with-output-file _ _ #:binary _ #:encoding _)
In ice-9/eval.scm:
    619:8  2 (_ #(#(#<directory (guile-user) 68f140>
null-pointer-error ("pointer->bytevector" "null pointer
dereference" () ())) #<output: /tmp/last-installer-error 12>))
    159:9  1 (_ #(#(#<directory (guile-user) 68f140>
null-pointer-error ("pointer->bytevector" "null pointer
dereference" () ())) #<output: /tmp/last-installer-error 12>))
In unknown file:
           0 (make-stack #t)
ice-9/eval.scm:159:9: In procedure pointer->bytevector: null
pointer dereference

If you need more information, please tell me.  I can retry the
installation to help debugging that, but I need simple instructions :)

Best regards,

Vivien




Acknowledgement sent to Vivien Kraus <vivien@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35858; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Jun 2019 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.